<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@FE58A7=09</action>
    </script>
  </cheat>

  <cheat desc="Select Starting Level Now!"> <comment>Enable on the select plane screen</comment>
    <parameter min="1" max="16" step="1"/>
    <script state="on">
      <action>maincpu.pb@FE2221=FF</action>
    </script>
    <script state="change">
      <action>maincpu.pb@FE2221=(param-1)</action>
    </script>
  </cheat>

  <cheat desc="Select First Stage">
    <parameter min="1" max="4" step="1"/>
    <script state="run">
      <action>maincpu.pb@FE223D=(param-1)</action>
    </script>
  </cheat>

  <cheat desc="Select Second Stage">
    <parameter min="1" max="4" step="1"/>
    <script state="run">
      <action>maincpu.pb@FE223F=(param-1)</action>
    </script>
  </cheat>

  <cheat desc="Select Third Stage">
    <parameter min="1" max="4" step="1"/>
    <script state="run">
      <action>maincpu.pb@FE2241=(param-1)</action>
    </script>
  </cheat>

  <cheat desc="Select Fourth Stage">
    <parameter min="1" max="4" step="1"/>
    <script state="run">
      <action>maincpu.pb@FE2243=(param-1)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@FE1155=05</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL1">
    <script state="run">
      <action>maincpu.pb@FE1159=06</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@FE1183=78</action>
    </script>
  </cheat>

  <cheat desc="Maximum Fire Power PL1">
    <script state="run">
      <action>maincpu.pb@FE115B=03</action>
    </script>
  </cheat>

  <cheat desc="Maximum missile power PL1">
    <script state="run">
      <action>maincpu.pb@FE1185=04</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@FE11E1=05</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL2">
    <script state="run">
      <action>maincpu.pb@FE11E5=06</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@FE120F=78</action>
    </script>
  </cheat>

  <cheat desc="Maximum Fire Power PL2">
    <script state="run">
      <action>maincpu.pb@FE11E7=03</action>
    </script>
  </cheat>

  <cheat desc="Maximum missile power PL2">
    <script state="run">
      <action>maincpu.pb@FE1211=04</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
